version: '3.9'
services:
  iot-job: 
    image: registry.cn-hangzhou.aliyuncs.com/hsyl_iot/xxl-job:v3
    restart: always
    ports:
      - "8099:8080"
    environment:
      PARAMS: "--spring.datasource.url=jdbc:mysql://10.10.39.251:3306/iot_job?Unicode=true&characterEncoding=UTF-8&useSSL=false --spring.datasource.username=root --spring.datasource.password=huansi@V3"    
    
  iot-dbapi:
    image: registry.cn-hangzhou.aliyuncs.com/hsyl_iot/db-api:v3
    ports:
      - "8520:8520"
      - "8523:8523"
      - "8525:8525"
    environment:
      - DB_URL=jdbc:mysql://10.10.39.251:3306/iot_dbapi?useSSL=false&characterEncoding=UTF-8&serverTimezone=GMT%2B8
      - DB_USERNAME=root
      - DB_PASSWORD=huansi@V3
      - DB_DRIVER=com.mysql.cj.jdbc.Driver
    restart: always
  
  iot-interface:
    image: registry.cn-hangzhou.aliyuncs.com/hsyl_iot/interface-service:v3
    restart: always
    ports:
      - "8488:8080"
    env_file:
      - tb-node.hybrid.env
    environment:
      - KAFKA_K2_ENABLED=false
      - KAFKA_K2_TOPIC_PRE=iot-v3
      - KAFKA_K2_BOOTSTRAP_SERVERS=kafka-sync:9092
      - HS_TIME_TASK_LOCAL=false
      - SERVER_JWT_LOGIN_URL=http://10.10.39.251
      - IOT_DBAPI_URL=http://10.10.39.251:8520
      - CACHE_TYPE=redis
      - REDIS_HOST=redis
      - REDIS_PORT=6379